# HDInsight

> see https://aka.ms/autorest

This is the AutoRest configuration file for HDInsight.



---
## Getting Started
To build the SDK for HDInsight, simply [Install AutoRest](https://aka.ms/autorest/install) and in this folder, run:

> `autorest`

To see additional help and options, run:

> `autorest --help`
---

## Configuration



### Basic Information
These are the global settings for the HDInsight API.

``` yaml
openapi-type: data-plane
tag: package-2018-11-preview
```

### Tag: package-2018-11-preview

These settings apply only when `--tag=package-2018-11-preview` is specified on the command line.

``` yaml $(tag) == 'package-2018-11-preview'
input-file:
- Microsoft.HDInsight/preview/2018-11-01-preview/job.json
```


---
# Code Generation

## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

``` yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-sdk-for-java
  - repo: azure-sdk-for-python
  - repo: azure-sdk-for-js
  - repo: azure-sdk-for-node
  - repo: azure-sdk-for-go
```

## C#

These settings apply only when `--csharp` is specified on the command line.
Please also specify `--csharp-sdks-folder=<path to "SDKs" directory of your azure-sdk-for-net clone>`.

``` yaml $(csharp)
csharp:
  azure-arm: true
  license-header: MICROSOFT_MIT_NO_VERSION
  namespace: Microsoft.Azure.Management.HDInsight
  output-folder: $(csharp-sdks-folder)/HDInsight/DataPlane/Microsoft.Azure.Management.HDInsight.Job/Generated
  clear-output-folder: true
```

## Go

See configuration in [readme.go.md](./readme.go.md)

## Python

These settings apply only when `--python` is specified on the command line.

```yaml $(python)
python:
  azure-arm: true
  license-header: MICROSOFT_MIT_NO_VERSION
  payload-flattening-threshold: 2
  package-name: azure-mgmt-hdinsight-job
  clear-output-folder: true
  no-namespace-folders: true
```

### Tag: package-2018-11-preview and python

These settings apply only when `--tag=package-2018-11-preview --python` is specified on the command line.
Please also specify `--python-sdks-folder=<path to the root directory of your azure-sdk-for-python clone>`.

``` yaml $(tag) == 'package-2018-11-preview' && $(python)
python:
  namespace: azure.mgmt.hdinsight.job
  output-folder: $(python-sdks-folder)/azure-mgmt-hdinsight-job/azure/mgmt/hdinsight/job
```

## Java

These settings apply only when `--java` is specified on the command line.
Please also specify `--azure-libraries-for-java-folder=<path to the root directory of your azure-libraries-for-java clone>`.

``` yaml $(java)
java:
  azure-arm: true
  namespace: com.microsoft.azure.hdinsight.job
  license-header: MICROSOFT_MIT_NO_CODEGEN
  payload-flattening-threshold: 1
  output-folder: $(azure-libraries-for-java-folder)/azure-mgmt-hdinsight-job
```

### Java multi-api

``` yaml $(java) && $(multiapi)
batch:
  - tag: package-2018-11-preview
```

### Tag:package-2018-11-preview and java

These settings apply only when `--tag=package-2018-11-preview --java` is specified on the command line.
Please also specify `--azure-libraries-for-java=<path to the root directory of your azure-sdk-for-java clone>`.

``` yaml $(tag) == 'package-2018-11-preview' && $(java) && $(multiapi)
java:
  namespace: com.microsoft.azure.management.hdinsight.job.v2018_11_01_preview
  output-folder: $(azure-libraries-for-java-folder)/hdinsight/data-plane/v2018_11_01_preview
regenerate-manager: true
generate-interface: true
```
